# Copyright © 2022 Gerald B. Cox
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

case $BASH_SOURCE in
	$0	)
		printf "%s\nScript must be invoked via source command\nExiting\n"
		exit;;
esac

printf "%s\n" "This is ykocli v$version" \
" " \
"USAGE: ykocli [search_string]" \
"       ykocli quit     - Immediately exit script" \
"       ykocli exit     - Immediately exit script" \
"       ykocli -h       - Display HELP" \
"       ykocli --help   - Display HELP" \
" " \
"EXAMPLES" \
"       Possible ways one can call ykocli:" \
" " \
"       ykocli" \
"              All oath entries on the inserted Yubikey will be displayed." \
"              You will then be prompted to select which oath code you" \
"              wish to have copied to your CopyQ clipboard." \
" " \
"       ykocli [search_string]" \
"              ykocli will only display oath entries that match the" \
"              search_string entered on the command line." \
"              If the search_string finds more than one match," \
"              you will be prompted to select which oath code" \
"              you wish to have copied to your CopyQ clipboard." \
"              If the search_string finds only one match," \
"              that match will automatically be copied to your" \
"              CopyQ clipboard." \
" "
return
